org.apache.ivy.ant

## Class PackageMapping

- java.lang.Object
- - org.apache.ivy.ant.PackageMapping

    public class PackageMapping
    extends java.lang.Object

Describes a mapping between a package name and an org name revision uple

### Constructor Summary

Constructors
Constructor and Description
`PackageMapping()`

### Method Summary

Methods
`java.lang.String` `getModule()`
`ModuleRevisionId` `getModuleRevisionId()`
`java.lang.String` `getOrganisation()`
`java.lang.String` `getPackage()`
`java.lang.String` `getRevision()`
`void` `setModule(java.lang.String module)`
`void` `setOrganisation(java.lang.String organisation)`
`void` `setPackage(java.lang.String package1)`
`void` `setRevision(java.lang.String revision)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### PackageMapping

    public PackageMapping()

### Method Detail

#### getModule

    public java.lang.String getModule()

#### setModule

    public void setModule(java.lang.String module)

#### getOrganisation

    public java.lang.String getOrganisation()

#### setOrganisation

    public void setOrganisation(java.lang.String organisation)

#### getRevision

    public java.lang.String getRevision()

#### setRevision

    public void setRevision(java.lang.String revision)

#### getPackage

    public java.lang.String getPackage()

#### setPackage

    public void setPackage(java.lang.String package1)

#### getModuleRevisionId

    public ModuleRevisionId getModuleRevisionId()